bpftool-token(8)

Name
bpftool-token - tool for inspection and simple manipulation of eBPF tokens

SYNOPSIS

bpftool [OPTIONS] token COMMAND

OPTIONS := { { -j | --json } [{ -p | --pretty }] | { -d | --debug } }

COMMANDS := { show | list | help }

TOKEN COMMANDS
bpftool token { show | list }
bpftool token help

DESCRIPTION

    bpftool token { show | list }
        List BPF token information for each bpffs mount point containing token information on the system. Information include mount point path, allowed bpf() system call commands, maps, programs, and attach types for the token.

    bpftool prog help
        Print short help message.

OPTIONS

    -h, --help
        Print short help message (similar to bpftool help).

    -V, --version
        Print bpftool's version number (similar to bpftool version), the number of the libbpf version in use, and optional features that were included when bpftool was compiled. Optional features include linking against LLVM or libbfd to provide the disassembler for JIT-ted programs (bpftool prog dump jited) and usage of BPF skeletons (some features like bpftool prog profile or showing pids associated to BPF objects may rely on it).

    -j, --json
        Generate JSON output. For commands that cannot produce JSON, this option has no effect.

    -p, --pretty
        Generate human-readable JSON output. Implies -j.

    -d, --debug
        Print all logs available, even debug-level information. This includes logs from libbpf as well as from the verifier, when attempting to load programs.

EXAMPLES

# mkdir -p /sys/fs/bpf/token
# mount -t bpf bpffs /sys/fs/bpf/token
-o delegate_cmds=prog_load:map_create
-o delegate_progs=kprobe
-o delegate_attachs=xdp
# bpftool token list

            token_info  /sys/fs/bpf/token
                    allowed_cmds:
                      map_create          prog_load
                    allowed_maps:
                    allowed_progs:
                      kprobe
                    allowed_attachs:
                      xdp

SEE ALSO

bpf(2), bpf-helpers(7), bpftool(8), bpftool-btf(8), bpftool-cgroup(8), bpftool-feature(8), bpftool-gen(8), bpftool-iter(8), bpftool-link(8), bpftool-map(8), bpftool-net(8), bpftool-perf(8), bpftool-prog(8), bpftool-struct_ops(8)